# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "osv-db"
version = "0.5.0"
authors = ["Oleksii Pozhylenkov (Mr-Leshiy) <leshiy12345678@gmail.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A Rust library for syncing and querying the OSV (Open Source Vulnerabilities) database"
readme = "README.md"
license = "Apache-2.0"

[lib]
name = "osv_db"
path = "src/lib.rs"

[[test]]
name = "concurrency"
path = "tests/concurrency.rs"

[dependencies.bytes]
version = "1.11.1"

[dependencies.chrono]
version = "0.4.44"
features = ["serde"]

[dependencies.csv]
version = "1"

[dependencies.futures]
version = "0.3"

[dependencies.itertools]
version = "0.14.0"

[dependencies.reqwest]
version = "0.13.2"

[dependencies.serde]
version = "1.0.228"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.145"

[dependencies.strum]
version = "0.26"
features = ["derive"]

[dependencies.tempfile]
version = "3.26.0"

[dependencies.thiserror]
version = "2"

[dependencies.tokio]
version = "1.48.0"
features = [
    "fs",
    "macros",
    "sync",
    "rt-multi-thread",
]

[dependencies.zip]
version = "2"

[dev-dependencies.anyhow]
version = "1.0.102"

[dev-dependencies.test-case]
version = "3.3.1"

[lints.clippy]
arithmetic_side_effects = "deny"
exit = "deny"
expect_used = "deny"
get_unwrap = "deny"
index_refutable_slice = "deny"
indexing_slicing = "deny"
match_wild_err_arm = "deny"
missing_docs_in_private_items = "allow"
missing_errors_doc = "allow"
missing_panics_doc = "deny"
panic = "deny"
string_slice = "deny"
todo = "deny"
unchecked_time_subtraction = "deny"
unimplemented = "deny"
unreachable = "deny"
unwrap_used = "deny"

[lints.clippy.pedantic]
level = "deny"
priority = -1

[lints.rust]
let_underscore_drop = "deny"
missing_docs = "allow"
non_ascii_idents = "deny"
single_use_lifetimes = "deny"
trivial_casts = "deny"
trivial_numeric_casts = "deny"
warnings = "deny"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ["cfg(track_caller)"]

[lints.rustdoc]
bare_urls = "deny"
broken_intra_doc_links = "deny"
invalid_codeblock_attributes = "deny"
invalid_html_tags = "deny"
invalid_rust_codeblocks = "deny"
unescaped_backticks = "deny"
